当前位置: IT大杂烩 > Ubuntu  > phonegap 安装和使用eclipse

phonegap 安装和使用eclipse

www.someabcd.com  网友分享于:Jun 8, 2018 6:09:02 PM

标签:android   class   code   java   c   int   

1.下载nodejs。。。然后注销让nodejs可用

2.下载jdk,ant。和安卓的sdk。

jdk是为ant编译时需要

将“C:\Program Files\Java\jdk1.6.0_16\lib”目录下的tools.jar文件拷贝到“C:\Program Files\Java\jre6\lib”目录下,重新运行命令ant,运行正常,问题解决。

降ant和sdk的路径添加到path中。。

C:\Program Files (x86)\Git\bin;C:\Users\Administrator\AppData\Roaming\npm;I:\Server\apache-ant\bin;I:\Editor\adt\sdk\platform-tools;I:\Editor\adt\sdk\tools;

3.检查平台是否安装上:

cordova platforms ls

4.安装phonegap。现在已经更名为cordova。

npm install -g cordova
cordova create hello com.example.hello HelloWorld
 cd hello
cordova platform add android
cordova emulate android

 

5.导入eclipse作为安卓应用

 

 

 

 

phonegap 安装和使用eclipse,布布扣,bubuko.com

phonegap 安装和使用eclipse

标签:android   class   code   java   c   int   

发布此文章仅为传递网友分享,不代表本站观点,若侵权请联系我们删除,本站将不对此承担任何责任。
Copyright ©2018  IT大杂烩  版权所有  京ICP备11030978号-1 网站地图